﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="SampleMarkers._Default" %>

<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Sample Markers</title>

    <script src="AddContextmenu.js" type="text/javascript"></script>

    <script type="text/javascript">
        var LatLons;
        var olMap = null;
        var markers = null;

        function Success(args, context) {
            context.innerText = args;
            LonLat = args.toString().split(",");
            var size = new OpenLayers.Size(32, 32);
            var offset = new OpenLayers.Pixel(-(size.w / 2), -size.h);
            var icon = new OpenLayers.Icon('../../theme/images/' + LonLat[2], size, offset);
            var marker = new OpenLayers.Marker(new OpenLayers.LonLat(LonLat[0], LonLat[1]), icon);
            markers.clearMarkers();
            markers.addMarker(new OpenLayers.Marker(new OpenLayers.LonLat(LonLat[0], LonLat[1]), icon));
            AddPopup(marker, 'siteId', LonLat[1], LonLat[0], "siteDesc", message.innerText);
        }

        function Error(args, context) {
            message.innerText = 'EXCEPTION';
        }

        var OnMapCreated = function(map) {
            markers = new OpenLayers.Layer.Markers("Markers");
            Map1.GetOpenLayersMap().addLayer(markers);

            var timer = window.setInterval(Function.createDelegate({ 'args': "args", 'context': document.getElementById('message') }, function(evt) {
                var args = this.args;
                var context = this.context;
                CallServerMethodAutoRefreshInterval(args, context);
            }), 2000);
        };
    </script>

</head>
<body>
    <form id="form1" runat="server">
    <div id="message">
    </div>
    <div>
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <cc1:Map ID="Map1" runat="server" Height="480px" Width="640px">
        </cc1:Map>
    </div>
    </form>
</body>
</html>
